%define	name gwc
%define package_version 0.21-10
%define release %mkrel 1

Summary:      Gnome Wave Cleaner - audio restoration application
Name:	      %{name}
Version:      0.21.10
Release:      %{release}
License:      GPL
Group:        Sound
Source:       %{name}-%{package_version}.tar.bz2
Source1:      %name-48x48.png
Source2:      %name-32x32.png
Source3:      %name-16x16.png
Patch:       gwc-meschach-fix.dif
URL:          http://gwc.sourceforge.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Gnome Wave Cleaner (GWC), is a tool for cleaning up noisey audio files,
in preparation for burningto CD's. The typical application is to record
the audio from vinyl LP's, 45's, 78's, etc to a hard disk as a
16bit,stereo,44.1khz wave formated file, and the use GWC to apply
denoising and declicking algorithms.



%prep
%setup -q  -n %{name}-%{package_version}
%patch


%build
aclocal
autoconf
(cd meschach; aclocal; autoconf)
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --enable-alsa
make OPT_CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -c -m 0755 gwc $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}


mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
install -m 644 %SOURCE1 %{buildroot}/%{_liconsdir}/%{name}.png
install -m 644 %SOURCE2 %{buildroot}/%{_iconsdir}/%{name}.png
install -m 644 %SOURCE3 %{buildroot}/%{_miconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Gwc
Exec=gwc
Terminal=false
Type=Application
Icon=gwc
Categories=X-MandrivaLinux-Multimedia-Sound;
Encoding=UTF-8
X-Desktop-File-Install-Version=0.11
EOF

%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root)
%doc README COPYING Changelog TODO 
%{_bindir}/gwc
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Feb 15 2010 slick50 <lxgator@gmail.com> 0.21-10-1pclos2010
- 0.21-10

* Mon Jun 25 2007 Texstar <texstar@gmail.com> 0.20.09-2pclos2007
- fix synaptic section
 
* Tue Jun 12 2007 Texstar <texstar@gmail.com> 0.20.09-1pclos2007
- import into pclos 2007
